package si.mojeznanje.services;

import com.fasterxml.jackson.databind.ObjectMapper;
import si.mojeznanje.model.Ograda;

public class ZapisovalecOgrad extends Zapisovalec{

    private static final String datoteka = "ograda.json";

    public void shraniOgrado(Ograda ograda){

        String podatki = "";
        ObjectMapper mapper = new ObjectMapper();

        try {
            podatki = mapper.writeValueAsString(ograda);
        }
        catch (Exception e){
            System.out.println("Napaka pri pretvorbi v json");
        }

        shraniDatoteko(podatki,datoteka);
    }

    public Ograda preberiOgrado(){
        Ograda ograda = null;

        String podatki = preberiPodatke(datoteka);
        ObjectMapper objectMapper = new ObjectMapper();

        try {
            ograda = objectMapper.readValue(podatki, Ograda.class);
        }
        catch (Exception e){
            System.out.println("Napaka pri pretvorbi podatkov iz jsona");
        }

        return ograda;
    }
}
