package si.mojeznanje.services;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;

public class Zapisovalec {
    protected static String preberiPodatke(String datoteka){

        String podatki = "";

        try (BufferedReader reader = new BufferedReader(new FileReader(datoteka))) {

            String vrstica = reader.readLine();

            while (vrstica != null){
                podatki += vrstica;
                podatki += System.lineSeparator();
                vrstica = reader.readLine();
            }
        }
        catch (Exception e){
            System.out.println("Napaka pri branju datoteke!");
        }

        return podatki;
    }

    protected static void shraniDatoteko(String podatki, String datoteka){

        try (BufferedWriter writer = new BufferedWriter(new FileWriter(datoteka))) {
            writer.write(podatki);
        }
        catch (Exception e){
            System.out.println("Napaka pri pisanju datoteke!");
        }
    }
}
